aboutsummaryrefslogtreecommitdiff
path: root/examples/example4
diff options
context:
space:
mode:
Diffstat (limited to 'examples/example4')
-rw-r--r--examples/example4/Dockerfile5
-rwxr-xr-xexamples/example4/example4.sh22
2 files changed, 27 insertions, 0 deletions
diff --git a/examples/example4/Dockerfile b/examples/example4/Dockerfile
new file mode 100644
index 0000000..a13c3cc
--- /dev/null
+++ b/examples/example4/Dockerfile
@@ -0,0 +1,5 @@
+FROM python:3
+
+RUN pip3 install babysploit
+
+WORKDIR /usr/src/app
diff --git a/examples/example4/example4.sh b/examples/example4/example4.sh
new file mode 100755
index 0000000..3029c59
--- /dev/null
+++ b/examples/example4/example4.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+# vim: set filetype=sh
+#
+# Author: Cody Hiar
+# Date: 2019-01-15
+#
+# Description: Show how to build image, then run
+# it.
+#
+# Set options:
+# e: Stop script if command fails
+# u: Stop script if unset variable is referenced
+# x: Debug, print commands as they are executed
+# o pipefail: If any command in a pipeline fails it all fails
+#
+set -exuo pipefail
+
+# Build the image
+docker build -t baby_sploit .
+
+# Run the image
+docker run --rm -it -v "$(pwd)":/usr/src/app baby_sploit /bin/bash -c "babysploit $*"